import javax.swing.JFrame;									// Per la finestra
import java.awt.Graphics;									// Per usare la grafica
import java.awt.Graphics2D;									// Per usare la grafica 2D

import java.awt.Shape;										// Vari oggetti necessari per la grafica
import java.awt.geom.Line2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RoundRectangle2D;
import java.awt.geom.Ellipse2D;
import java.awt.geom.CubicCurve2D;
import java.awt.geom.Path2D;
import java.awt.Stroke;
import java.awt.BasicStroke;
import java.awt.Color;



public class DisegnoTutto extends JFrame {						// Estendendo JFrame si crea una finestra dove si
															// puo' disegnare
															
	public void paint(Graphics g) {							// qui si inserisce il codice per disegnare nella finestra
		Graphics2D g2 = (Graphics2D)g;						// permette di usare la grafica 2D utilizzando g2
		
		// Disegna una linea
		g2.draw(new Line2D.Double(30.0, 300.0, 770.0, 300.0));
		
		// Cambia colore e tratto
		g2.setPaint(new Color(1.0f, 0.0f, 0.0f));
		g2.setStroke(new BasicStroke(5.0f));
		// Disegna un rettangolo
		g2.draw(new Rectangle2D.Double(20.0, 80.0, 180.0, 180.0));
		
		// Disegena l'interno di un rettangolo
		g2.setPaint(new Color(1.0f, 1.0f, 0.0f));
		g2.fill(new Rectangle2D.Double(21.0, 81.0, 179.0, 179.0));
		
		// Disegna un ellisse
		g2.setPaint(new Color(0.0f, 1.0f, 0.0f));
		g2.draw(new Ellipse2D.Double(420.0, 80.0, 280.0, 180.0));

		// Disegna un rettangolo con gli spigoli arrotondati
		g2.setStroke(new BasicStroke(1.0f));
		g2.setPaint(new Color(0.0f, 0.0f, 0.0f));
		g2.draw(new RoundRectangle2D.Double(220.0, 80.0, 180.0, 180.0, 20.0, 20.0));
		
		// Disegna una curva di Bezier
		g2.draw(new CubicCurve2D.Double(100.0, 100.0, 200.0, 200.0, 300.0, 200.0, 400.0, 100.0));
		
		// Disegna un poligono
		Path2D.Double Tri = new Path2D.Double();
		Tri.moveTo(20.0, 500.0);
		Tri.lineTo(120.0, 400.0);
		Tri.lineTo(220.0, 500.0);
		Tri.closePath();			// Se il poligono e' chiuso, si chiama in fondo .closePath();
		g2.draw(Tri);
	}														
	
	public DisegnoTutto() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);		// Permette di chiudere la finestra
		setSize(800, 600);									// imposta le dimensioni
		setVisible(true);									// mostra la finestra
	}
	
	public static void main(String args[]) {
		new DisegnoTutto();										// Crea la finestra
	}
}